Subject: Re: 11-16-05 2.6.14 on AMCC Yosemite boar d(PCI-IDE card boot error)

From: David Hawkins <[email-masked]>
Date: Thu, 14 Sep 2006 11:01:00 -0700

> The problem was addressed with your help, and I do really appreciate your help.

Great!

I hope you learned your lesson though: when something breaks, make
sure to re-test using the head of the git repo. Of course that may
break something too, but most other developers will also be working
from the head, so can probably reproduce your problem.
(Or will be more likely to listen to any complaints).

Also its worth writing a couple of simple drivers; one that
maps a PCI IO memory space and another that maps PCI memory
space. That way you can cause the machine check in a very
basic driver, i.e., your problem had nothing to do with
your specific card.

Take a look at the LNX-723 document and code, I wrote
it while using a Yosemite board, but have moved on
to a Freescale MPC8349E device, since the 440EP wasn't
going to work for my application:

http://www.ovro.caltech.edu/~dwh/correlator/cobra_docs.html

Here's a copy of my test notes:
http://www.ovro.caltech.edu/~dwh/powerpc_440ep.pdf

Cheers
Dave